Page MenuHomePhabricator

Create a #Bot-Frameworks project to track various high level Bots-related issues
Closed, ResolvedPublic

Description

Project type: Umbrella
Name: Bots
Optional hashtags: Bots
Project description: This project would be used to track various "high level" Bots-related issues (including for issues for tools that can be used in a meatbot-like manner). Specifically

  • Bots accounts, flags, login, security
  • Bot compliance with policy, broadly speaking.
    • Edit summaries
    • Cosmetic edits
  • Global bots
  • Interactions with other components
    • Recent changes
    • Watch lists
    • Notifications
  • And other "high level" issues affecting bot frameworks.

The goal is specifically to identify "high-level" issues affecting and related to bot frameworks in general (AutoWikiBrowser, Checkwiki, Pywikibot, etc.), not "small potatoes" issues like fixing a typo in a specific bot's edit summary.

Visible To: Public (no login required)
Editable By: All Users
Joinable By: All Users

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2017, 12:45 PM
Aklapper updated the task description. (Show Details)Apr 11 2017, 1:49 PM

Thanks! Are there any links to more information?
Has this "project" been discussed somewhere (link?) with maintainers of existing bots? (I'm asking because we can track a lot of things but I'd love to make sure that the people who could fix things will actually be aware of tracking those things in Phabricator and care/follow them in Phabricator.)

Short of the recent [[WP:VPT]] discussion on en-wiki, that's about it. I could certainly post notices on the bot noticeboard and a more formal notice to VPT to establish consensus before the creation of such an umbrella project/tag, but I was planning on doing that after the project/tag has been created.

My original idea was a sort to use the tracking as a sort of "[[WP:BAG]]/Bot-community wishlist" of things we'd like to see done. @Betacommand (above) seems interested in this already, and @Xaosflux expressed support for this as well. I suspect most if not all BAG members will have some interest in this, along many other bot operators and tool maintainers. Pretty sure many people from the AWB/Checkwiki/Pywikibot teams will be interested in this as well.

This worklist would also likely be of very high interest during hackatons.

Izno added a subscriber: Izno.Apr 11 2017, 2:04 PM

Is this wiki-specific?

It will be en-wiki centric, simply because most concerns will likely come from the en-wiki community, and that most bot coder have an en-wiki background, and that en-wiki has a fairly strict bot policy (e.g. [[WP:BOTACCOUNT]], [[WP:BOTREQUIRE]], [[WP:COSMETICBOT]], [[WP:BOTCOMM]], ...). But I don't see this as en-wiki exclusive in any sense. Most of the issues tracked will impact things at the framework level, which is used by all of the wikis. If the Catalan/French/German/Chinese/other non-English wikis have framework level issues related to bots, I can't think of any reason why this couldn't be tracked here too.

JJMC89 added a subscriber: JJMC89.Apr 12 2017, 4:10 PM

I'm happy to see a Phab project for organizing this work.
I currently just don't see this being an umbrella or tag project (as it does not seem to cover (yet?) each and every bot out there, plus only covers one single language entity) but a normal standard project which might welcome a slightly better project name which I cannot come up with either. It's just that if you call it Bots people might report any issues which are about one specific bot or bot framework under it and you'll have to move the task to the right more specific component). :)

Headbomb added a comment.EditedApr 24 2017, 11:34 AM

A few things. I have no idea what the difference between an "umbrella" or "tag" project even is, because I have no idea what umbrella or tag projects even are exactly. Whatever lets us organize tickets akin to https://phabricator.wikimedia.org/tag/autowikibrowser/, that's what is needed.

Right now most bot issues are en-centric, but that's mostly because en-wiki is the best organized, most regulated, and most visible when it comes to bots. But things like T150582 are certainly not restricted to en-wiki.

I'm open to suggestions for a better name for the tag/project/whatever as well. Possibly #BotFrameworks.

en-wiki is the best organized, most regulated, and most visible when it comes to bots

Just, please don't make superlative claims like that. While as a bot operator and writer I'm certainly for such a project, I really dislike the wikipedia-centric and en-centric mentality here.

Headbomb added a comment.EditedApr 24 2017, 1:20 PM

Please don't read more into those comments than what I actually wrote. Wikidata, or the German Wikipedia have tons of bots, and have their own bot policies and concerns for instance. I've been pretty explicit that this tag is not by design nor intent restricted to en-wiki, and that any en-wiki centrism that is present would be the result of a more active English Wikipedia bot community compared to say the Ukrainian Wikispecies bot community.

Aklapper renamed this task from Create a Bots umbrella project to Create a #Bot-Frameworks project to track various high level Bots-related issues.Apr 25 2017, 11:28 AM
Aklapper triaged this task as Normal priority.
Aklapper moved this task from Incoming to Projects to create on the Project-Admins board.

@Aklapper What's next? Need anything more?

Aklapper closed this task as Resolved.May 4 2017, 12:22 PM
Aklapper claimed this task.
Aklapper mentioned this in Bot-Frameworks.

Requested public project Bot-Frameworks has been created: https://phabricator.wikimedia.org/project/view/2746/
(I have not added #bots as an additional tag because it feels too generic and I am afraid you might end up with lots of unrelated, bot-specific tasks.)

Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Feel free to bring up any questions you might have about Phabricator or about best ways to manage projects in Phabricator.

Enjoy!